/* QnA 프리뷰 (renderQnaArticlePreview) */
.partnership-preview-container {
    color: inherit;
    border-bottom: 1px solid rgb(var(--gray-100));
    cursor: pointer;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding-top: 16px;
    padding-bottom: 16px;
    gap: 4px;
}
.partnership-preview-left {
    display: flex;
    flex-direction: column;
    gap: 4px;
}
.partnership-preview-right {
    flex-shrink: 0;
}

/* 공지사항 프리뷰 (renderNoticeArticlePreview) */
.notice-preview-container {
    color: inherit;
    display: flex;
    flex-direction: column;
    gap: 4px;
    padding: 16px 0;
    border-bottom: 1px solid rgb(var(--gray-100));
    cursor: pointer;
}

/* 차단 목록 (renderBlockedUserItem) */
.block-list-item-container {
    border-bottom: 1px solid rgb(var(--gray-100));
    padding-top: 10px;
    padding-bottom: 10px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: white;
}
.block-list-item-container img {
    width: 40px;
    height: 40px;
    border-radius: 100%;
    object-fit: cover;
}
.block-list-item-container button {
    background-color: transparent;
    border-radius: 4px;
    border: 1px solid rgb(var(--primary-700));
    color: rgb(var(--primary-700));
    padding: 3px 12px;
}
.block-list-item-container button:active {
    background-color: rgb(var(--gray-100));
}

/* D-Day 편지 프리뷰 (renderLetterArticlePreview) */
.dday-letter-preview-container {
    display: block;
    background-color: white;
    width: 100%;
    padding-top: 16px;
    padding-bottom: 16px;
    border-bottom: 1px solid rgb(var(--gray-100));
}
.dday-letter-content {
    max-width: 100%;
    display: -webkit-box;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
}

/* D-Day 시기별 토글 (renderToggleItem02) */
.dday-period-img {
    width: 24px;
    height: 24px;
    border-radius: 100%;
    box-shadow: 0 0 4px rgba(0, 0, 0, 0.1);
    background-color: white;
    display: flex;
    justify-content: center;
    align-items: center;
}
.dday-period-img img {
    width: 85%;
    height: 85%;
}

/* 임시저장 프리뷰 (renderDraftItem) */
.fragment-draft-preview-item {
    border-bottom: 1px solid rgb(var(--gray-100));
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding-top: 8px;
    padding-bottom: 8px;
    gap: 52px;
}
.fragment-draft-preview-item .draft-title-box {
    display: flex;
    flex-direction: column;
    gap: 4px;
}
.fragment-draft-preview-item .draft-title-box .draft-title {
    flex-grow: 1;
    display: -webkit-box;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    cursor: pointer;
}
.fragment-draft-preview-item .delete-btn {
    cursor: pointer;
}
